import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { CLLocationCoordinate2D } from "../structs/CLLocationCoordinate2D.js";
export declare class _CLVisit extends _NSObject {
    static alloc(): _CLVisit;
    static new(): _CLVisit;
    init(): _CLVisit;
    /**
     * arrivalDate Discussion: The date when the visit began. This may be equal to [NSDate distantPast] if the true arrival date isn't available.
     */
    arrivalDate(): _NSDate;
    /**
     * departureDate Discussion: The date when the visit ended. This is equal to [NSDate distantFuture] if the device hasn't yet left.
     */
    departureDate(): _NSDate;
    /** coordinate Discussion: The center of the region which the device is visiting. */
    coordinate(): CLLocationCoordinate2D;
    /**
     * horizontalAccuracy Discussion: An estimate of the radius (in meters) of the region which the device is visiting.
     */
    horizontalAccuracy(): number;
}
export interface _CLVisit extends _NSSecureCoding, _NSCopying {
}
